precision mediump float;

uniform highp float u_time;
uniform float u_rms;

uniform vec2 u_resolution;
uniform sampler2D u_texture;
varying mediump vec2 v_tex_coord;


void main()
{
    float rms= u_rms;
    vec4 mouse = vec4(0.0);
    float t = mod(u_time, 10.0);
    float p;
    vec2 uv = v_tex_coord.yx / u_resolution.xy + vec2(-0.5, 0.);
    float frequency = texture2D(u_texture, vec2(0.0, 0.25)).x;
    float waveform = texture2D(u_texture, vec2(0.0, 0.75)).x;
    
    vec2 g = v_tex_coord.yx  + vec2(0., -0.4);
    vec2 s = u_resolution.xy;
    vec2 u = (g+g-s)/s.y * (frequency+0.01);
    vec2 ar = vec2(atan(u.x, u.y) * 3.18 + t*2., length(u)*3. + fract(t*.5)*4.);
    
    p = floor(ar.y)/5.;
    
    ar = abs(fract(ar)-.5);
    
    gl_FragColor = mix(vec4(1,.3,0,1), vec4(.3,.2,.5,1), vec4(fract((p))))*.1/dot(ar,ar);
}

