precision mediump float;

uniform highp float u_time;
uniform float u_rms;

uniform vec2 u_resolution;
uniform sampler2D u_texture;
varying mediump vec2 v_tex_coord;

float mic(float i, float j){
    return texture2D(u_texture,vec2(i,j)).r;
}

void push(inout vec2 p, float i){
    float a = atan(p.y,p.x);
    float d = length(p.xy);
    d+=d*i;
    p.y = sin(a)*d;
    p.x = cos(a)*d;
}

void main()
{
    vec4 f = vec4(0.0);
    vec2 u = v_tex_coord;
    float s = 1.;
    vec3 r = vec3(s*.5, u_time*.1,0.) + vec3(s*.5);
    vec2 R = u_resolution;
    
    u-= R.xy*.5;
    float d = length(u/R.y)*2.;
    float a = sin(u_time*3.1415*.0125);
    u*= mat2(d,a,-a,d);
    u+=R.xy*.5;
    vec2 v = vec2(0.0);
    v = 1.0-v;
    v.y*=4.;
    
    for( float i = .5; i > .0 ; i-=.015 ) {
        float m = mic(mod(i*2.,v.x),.0)*v.y;
        f.a = length( mod(r,s) - (s*.5) ) - .2;
        r += vec3( (u+u-R.xy)/R.y, 2. ) * (.2)*f.a;
        ;
        r.xz -= vec2(s*.5);
        push((r.xz),m*.1);
        r.xz += vec2(s*.5);
        
        f.r=abs(sin(i));
        if( f.a < .001 ) break ;
    }
    
    float col = pow(f.r*2.5,1.);
    
    gl_FragColor = vec4(col);
    gl_FragColor.a = 1.0;
}

