precision mediump float;

uniform float u_time;
uniform float u_rms;

uniform vec2 u_resolution;
uniform sampler2D u_texture;
varying mediump vec2 v_tex_coord;

float circle(in vec2 _st, in float _radius){
    vec2 dist = _st-vec2(0.5);
    return 1.-smoothstep(_radius - (_radius*0.01), _radius + (_radius*0.01), dot(dist,dist)*4.0);
}

void main(){
    vec2 st = v_tex_coord.xy/u_resolution.xy;
    vec3 color = vec3(circle(st + vec2(-0.25, 0.0),u_rms));
    gl_FragColor = vec4( color, 1.0 );
}

